summaryrefslogtreecommitdiff
path: root/test/integration
diff options
context:
space:
mode:
authorJulian Andres Klode <julian.klode@canonical.com>2025-03-10 22:05:52 +0100
committerJulian Andres Klode <julian.klode@canonical.com>2025-03-10 22:47:39 +0100
commit8a6b694108f41afd1e6cdba4c91481697f9b3004 (patch)
tree177f7294dc1a2f1426bf7cbfe9e87a970c476cf4 /test/integration
parentde095b76b0562c4648b03406349e9914829e5590 (diff)
solver3: Correctly determine 'same' or groups
We incorrectly used the DependencyData of the first or group member, however that only checked that the first or group member was the same and that both either had a next member or not.
Diffstat (limited to 'test/integration')
-rwxr-xr-xtest/integration/test-solver3-similar-depends18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/integration/test-solver3-similar-depends b/test/integration/test-solver3-similar-depends
new file mode 100755
index 000000000..a301b9ac5
--- /dev/null
+++ b/test/integration/test-solver3-similar-depends
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+setupenvironment
+configarchitecture 'amd64'
+
+insertpackage 'installed' 'a' 'all' '2' 'Depends: a|b'
+insertpackage 'unstable' 'a' 'all' '3' 'Depends: a|c'
+
+setupaptarchive
+testsuccess apt install -o debug::apt::solver=3 a -s --solver 3.0
+cp rootdir/tmp/testsuccess.output log
+msgmsg "Test that æ|b and a|c are different or groups"
+testsuccess grep "Found dependency critical a:amd64=2 -> a:amd64" log
+testsuccess grep "Found dependency critical a:amd64=3 -> a:amd64" log
+